stralloc_ready(3)

NAME
stralloc_ready - provide space in a stralloc

SYNTAX
#include <stralloc.h> int stralloc_ready(stralloc* sa,unsigned int len);

DESCRIPTION
stralloc_ready makes sure that sa has enough space allocated to hold len bytes: If sa is not allocated, stralloc_ready allocates at least len bytes of space, and returns 1. If sa is already allocated, but not enough to hold len bytes, stralloc_ready allocates at least len bytes of space, copies the old string into the new space, frees the old space, and returns 1. Note that this changes sa.s. If stralloc_ready runs out of memory, it leaves sa alone and returns 0.

SEE ALSO
stralloc_readyplus(3)